import { Brain, BrainCircuit, GalleryVerticalEnd } from "lucide-react";

import { LoginForm } from "@/components/login-form";
import { FormMessage } from "@/components/form-message";

export default async function LoginPage(props: {
  searchParams: Promise<
    { success: string } | { error: string } | { message: string }
  >;
}) {
  const searchParams = await props.searchParams;

  return (
    <div className="bg-muted flex min-h-svh flex-col items-center justify-center gap-6 p-6 md:p-10">
      <div className="flex w-full max-w-sm flex-col gap-6">
        <a href="#" className="flex items-center gap-2 self-center font-medium">
          <div className="bg-primary text-primary-foreground flex size-6 items-center justify-center rounded-md">
            <BrainCircuit className="size-4" />
          </div>
          Neuroread
        </a>
        <FormMessage message={searchParams} />
        <LoginForm />
      </div>
    </div>
  );
}
